;
; Deletes a specified file on your system.
; 
; DEL_FILE, filename 
;
;   filename : A string containing the full pathname of the file to be deleted.
;
; Note:
;   FILE_DELETE, File1 [,... FileN] [, /ALLOW_NONEXISTENT] 
;             [, /NOEXPAND_PATH] [, /QUIET] [, /RECURSIVE] [, /VERBOSE]
;
;        FileN : A scalar or array of file or directory names to be deleted, one name per string element. 
;
; Copyright 2022 National Institute for Fusion Science, LABCOM
;
PRO del_file, filename
compile_opt idl2, hidden
	if N_PARAMS() ne 1 THEN return 
	FILE_DELETE, filename, /NOEXPAND_PATH
	return
END
