;
; Return the real part of a complex number
;
;  result = REAL(value)
;
; Note:
;   DCOMPLEX is type 9.
;   DOUBLE is type 5.
;
; Copyright 2022 National Institute for Fusion Science, LABCOM
;
FUNCTION real, value
compile_opt idl2, hidden
IF SIZE(value, /type) EQ 9 OR SIZE(value, /type) EQ 5 THEN $
        RETURN, DOUBLE(value) $
ELSE    RETURN, FLOAT(value)

END
