;
; Copyright 2022 National Institute for Fusion Science, LABCOM
;
FUNCTION ymdhms_to_sec, yyyy,mon,day,hh,mm,ss
compile_opt idl2, hidden
	uy0 = [0,31,59,90,120,151,181,212,243,273,304,334,365]
	uy1 = [0,31,60,91,121,152,182,213,244,274,305,335,366]
	if( yyyy lt 1970 ) then return,0
	if( yyyy ge 2100 ) then return,0
	if( mon lt 1 ) then return,0
	if( mon gt 12 ) then return,0
	if( hh lt 0 ) then return,0
	if( hh gt 23 ) then return,0
	if( mm lt 0 ) then return,0
	if( mm gt 59 ) then return,0
	if( ss lt 0 ) then return,0
	if( ss gt 59 ) then return,0
	x_yyyy = yyyy-1
	tmp1= (x_yyyy-1968)/4; 
        tmp2= yyyy-1970;
	tmp= yyyy mod 4	
	if( tmp eq 0 ) then begin
		s_day=uy1[mon-1]
	endif else begin
		s_day=uy0[mon-1]
	endelse
	sec=(((tmp1*366+tmp2*365+s_day)*24LL+hh)*60LL+mm)*60LL+ss
	return,sec
END
